Bug 448369 - Default accel method (EXA) make some programs slow to a crawl
Default accel method (EXA) make some programs slow to a crawl
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-26 06:01 EDT by Hans de Goede
Modified: 2009-10-22 09:01 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-06 03:59:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (with rendermethod set to XAA) (612 bytes, text/plain)
2008-05-26 10:37 EDT, Hans de Goede
no flags Details
xorg.log with the attached xorg.conf (32.64 KB, text/plain)
2008-05-26 10:37 EDT, Hans de Goede
no flags Details
xorg.log without xorg.conf (39.46 KB, text/plain)
2008-05-26 10:40 EDT, Hans de Goede
no flags Details
opcontrol report (27.52 KB, text/plain)
2008-10-09 10:34 EDT, Adam Tkac
no flags Details

  None (edit)
Description Hans de Goede 2008-05-26 06:01:23 EDT
Description of problem:
On my Intel Corporation 82865G Integrated Graphics Controller (rev 02), the
intel driver now defaults to EXA, however this makes some programs slow to a
crawl, and xorg use 97% cpu.

Version-Release number of selected component (if applicable):
xorg-x11-drv-i810-2.2.1-24.fc9.i386

How reproducible:
always

Steps to Reproduce:
1. yum install wordwarvi (use the rawhide version)
2. start wordwarvi
  
Actual results:
Very slow

Expected results:
Normal gameplay

Additional info:
Changing the accel method to XAA works around this.
Comment 1 Matěj Cepl 2008-05-26 10:07:17 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Hans de Goede 2008-05-26 10:37:25 EDT
Created attachment 306681 [details]
xorg.conf (with rendermethod set to XAA)
Comment 3 Hans de Goede 2008-05-26 10:37:59 EDT
Created attachment 306682 [details]
xorg.log with the attached xorg.conf
Comment 4 Hans de Goede 2008-05-26 10:40:35 EDT
Created attachment 306683 [details]
xorg.log without xorg.conf

Note: the bug still happens without any xorg.conf
Comment 5 Adam Tkac 2008-10-09 08:56:32 EDT
I have same problems with Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c). Switch from EXA to XAA helps. When I revert from xorg-x11-drv-i810-2.4.2-9.fc10 to xorg-x11-drv-i810-2.4.2-1.fc10 problem is solved as well.

I'm using fluxbox and start of xterm is terribly slow and X process consumes 100% CPU. I think I will collect more information with oprofile
Comment 6 Adam Tkac 2008-10-09 10:34:23 EDT
Created attachment 319865 [details]
opcontrol report

Collected information from xterm startup. As you can see there are simply too many memcpy(3) calls.
Comment 7 Adam Tkac 2008-11-03 13:38:01 EST
x86_64 is affected as well.
Comment 8 Bug Zapper 2008-11-25 21:20:14 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Vedran Miletić 2009-09-06 03:59:32 EDT
New intel versions drop EXA and use UXA instead. Please retest with Fedora 11 or Fedora 12 Snap1, and report if this still happens.

Note You need to log in before you can comment on or make changes to this bug.